Bug 192637 - Hangul key and Hanja key isn't recognized
Hangul key and Hanja key isn't recognized
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-05-22 06:52 EDT by Akira TAGOH
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.17-1.2586.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-28 02:52:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
proposed patch to use Hangul/Hanja key (850 bytes, patch)
2006-05-24 03:24 EDT, Akira TAGOH
no flags Details | Diff

  None (edit)
Description Akira TAGOH 2006-05-22 06:52:30 EDT
Description of problem:
Hangul key and Hanja key in Hangul keyboard isn't recognized with showkey.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.run showkey
2.press hangul key or hanja key
Actual results:
nothing happen

Expected results:
should show keycode

Additional info:
according to
both keys works fine after setkeycodes 71 122 72 123. this is important to
support hangul keyboard for korean users.
Comment 1 Akira TAGOH 2006-05-22 07:25:34 EDT
BTW the hangul keyboard I tested is a PS/2 keyboard. the same problem may
happens with a USB keyboard.
Comment 2 Akira TAGOH 2006-05-24 03:24:15 EDT
Created attachment 129902 [details]
proposed patch to use Hangul/Hanja key
Comment 3 Pete Zaitcev 2006-05-29 02:26:07 EDT
Upstream rejects the patch. Please see this:

 I will not accept this patch (or any similar patch) to extend the atkbd.c mapping
 table - only standard scancodes are allowed there. The table is easily modified
 from userspace, and that is the way to go.

 In the past I tried to fill the table with all the entries, but found out that
 there are two or three keyboards competing for every position in the scancode
 table, with a different keycode. 
Comment 4 Jong Bae KO 2006-06-15 03:10:27 EDT
------- Additional Comments From zaitcev@redhat.com  2006-06-12 03:23 EST -------
Dmitry changed his mind, here's the new upstream bug:

We're going to get this for free now, from the upstream. Not sure about
specific version though, I'll keep this in mind in case I see the changeset.
Comment 5 Jong Bae KO 2006-06-15 03:12:43 EDT
------- Additional Comments From tagoh@redhat.com  2006-06-12 03:40 EST -------
Thank you for keeping this on track. it sounds great. I'll look forward to apply
it in our kernel too.
Comment 6 Akira TAGOH 2006-08-28 02:52:55 EDT
confirmed a fix in kernel-PAE-2.6.17-1.2586.fc6

Note You need to log in before you can comment on or make changes to this bug.